> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consolidated E-Way Bill

> Fetch a consolidated E-Way Bill by number.

#### Response schema

For successful responses, this reference describes the NIC E-Way Bill payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/get_consolidated_bill.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no}
openapi: 3.0.1
info:
  title: in-co-sandbox-gst-compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/consolidated-bill/{consolidated_ewb_no}:
    get:
      tags:
        - E-Way Bill1
        - Consignor
        - Consolidated E-Way Bill
      summary: Get Consolidated E-Way Bill
      description: Get Consolidated E-Way Bill
      operationId: getConsolidatedEWayBill
      parameters:
        - name: consolidated_ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 Consolidated EWB fetched / 325 Data not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConsolidatedEWayBillResponse'
              examples:
                200 Consolidated EWB fetched:
                  summary: 200 Consolidated EWB fetched
                  value:
                    code: 200
                    data:
                      data:
                        enteredDate: 13/05/2024 02:43:00 PM
                        fromPlace: BANGALORE SOUTH
                        fromState: '29'
                        status: ACT
                        transDocDate: 12/10/2017
                        transDocNo: '1234'
                        transMode: '1  '
                        tripSheetEwbBills:
                          - docDate: 15/12/2017
                            docNo: 7001-2422
                            ewbDate: 13/05/2024 12:55:00 PM
                            ewbNo: 271010079654
                            fromGstin: 27AAACQ3770E004
                            fromTradeName: welton
                            status: ACT
                            toGstin: 24AAACQ3770E003
                            toTradeName: sthuthya
                            totInvValue: 59465
                            userGstin: 27AAACQ3770E004
                            validUpto: 18/05/2024 11:59:00 PM
                          - docDate: 15/12/2017
                            docNo: 7001-2423
                            ewbDate: 13/05/2024 12:55:00 PM
                            ewbNo: 241010079655
                            fromGstin: 27AAACQ3770E004
                            fromTradeName: welton
                            status: ACT
                            toGstin: 24AAACQ3770E003
                            toTradeName: sthuthya
                            totInvValue: 59465
                            userGstin: 27AAACQ3770E004
                            validUpto: 18/05/2024 11:59:00 PM
                        tripSheetNo: 2210011690
                        userGstin: 27AAACQ3770E004
                        vehicleNo: KA12AB1234
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 20fab0bc-11df-460a-818b-9e9db60f1ff8
                325 Data not found:
                  summary: 325 Data not found
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '325'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: da0a536f-c0ad-4919-af65-8b8d7896ce9c
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetConsolidatedEWayBillResponse:
      oneOf:
        - $ref: '#/components/schemas/GetConsolidatedEWayBillSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    GetConsolidatedEWayBillSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                data:
                  $ref: '#/components/schemas/GetConsolidatedEWayBillSuccessPayload'
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: '325'
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '1'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC sends "0" when it rejects a request.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    GetConsolidatedEWayBillSuccessPayload:
      type: object
      properties:
        enteredDate:
          type: string
          example: 13/05/2024 02:43:00 PM
          description: The enteredDate value.
        fromPlace:
          type: string
          example: BANGALORE SOUTH
          description: The fromPlace value.
        fromState:
          type: string
          example: '29'
          description: The fromState value.
        status:
          type: string
          example: ACT
          description: The status value.
        transDocDate:
          type: string
          example: 12/10/2017
          description: The transDocDate value.
        transDocNo:
          type: string
          example: '1234'
          description: The transDocNo value.
        transMode:
          type: string
          example: '1  '
          description: The transMode value.
        tripSheetEwbBills:
          type: array
          items:
            type: object
            properties:
              docDate:
                type: string
                example: 15/12/2017
                description: The docDate value.
              docNo:
                type: string
                example: 7001-2422
                description: The docNo value.
              ewbDate:
                type: string
                example: 13/05/2024 12:55:00 PM
                description: The ewbDate value.
              ewbNo:
                type: number
                example: 271010079654
                description: The ewbNo value.
              fromGstin:
                type: string
                example: 27AAACQ3770E004
                description: The fromGstin value.
              fromTradeName:
                type: string
                example: welton
                description: The fromTradeName value.
              status:
                type: string
                example: ACT
                description: The status value.
              toGstin:
                type: string
                example: 24AAACQ3770E003
                description: The toGstin value.
              toTradeName:
                type: string
                example: sthuthya
                description: The toTradeName value.
              totInvValue:
                type: number
                example: 59465
                description: The totInvValue value.
              userGstin:
                type: string
                example: 27AAACQ3770E004
                description: The userGstin value.
              validUpto:
                type: string
                example: 18/05/2024 11:59:00 PM
                description: The validUpto value.
            description: E-Way Bill schema.
          example:
            - docDate: 15/12/2017
              docNo: 7001-2422
              ewbDate: 13/05/2024 12:55:00 PM
              ewbNo: 271010079654
              fromGstin: 27AAACQ3770E004
              fromTradeName: welton
              status: ACT
              toGstin: 24AAACQ3770E003
              toTradeName: sthuthya
              totInvValue: 59465
              userGstin: 27AAACQ3770E004
              validUpto: 18/05/2024 11:59:00 PM
            - docDate: 15/12/2017
              docNo: 7001-2423
              ewbDate: 13/05/2024 12:55:00 PM
              ewbNo: 241010079655
              fromGstin: 27AAACQ3770E004
              fromTradeName: welton
              status: ACT
              toGstin: 24AAACQ3770E003
              toTradeName: sthuthya
              totInvValue: 59465
              userGstin: 27AAACQ3770E004
              validUpto: 18/05/2024 11:59:00 PM
          description: The tripSheetEwbBills value.
        tripSheetNo:
          type: number
          example: 2210011690
          description: The tripSheetNo value.
        userGstin:
          type: string
          example: 27AAACQ3770E004
          description: The userGstin value.
        vehicleNo:
          type: string
          example: KA12AB1234
          description: The vehicleNo value.
      description: E-Way Bill schema.
    EWayBillBusinessError:
      type: object
      description: Error data from NIC.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: >-
            NIC error code. See [E-Way Bill error
            codes](/api-reference/gst/annexures/e-way-bill-error-codes).

````